#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="38cm RW61 auf SturmMörser",
			cannonBlast 			= 100,
			RPM=1.0,
			smokeFactor 			= 5,
			smokeMulti				= 50,
			sight					= {
										[1] = {
										x=1.9,
										y=1.5,
										z=-0.35,
											},
										},

			zoomSight 				= "MOD/gfx/spg9-sight.png",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			barrels		= {
							[1] = {
								x = 0.6,
								y = 0.1,
								z = -1.0,
								}

							},
			
			magazines = {
				                
						[1] = {name="Raketen Hohlladungsgranate 4592",
						caliber 				= 380,
						velocity				= 100,
						explosionSize			= 5.5,
						maxPenDepth = 1.5,
						launcher                = "rocket",
						payload					= "APHE",
						shellWidth				= 2,
						shellHeight				= 2,
						tracer 					= 5,
						tracerL					= 6,
						tracerW					= 2,
						tracerR					= 1.8,
						tracerG					= 1.0, 
						tracerB					= 1.0, 
						magazineCount             = 6,
						shellSpriteName			= "MOD/gfx/rocketModel2.png",
						shellSpriteRearName		= "MOD/gfx/rocketRear.png",
						flightLoop				= "MOD/sounds/rocketFlightLoop0",
					},
						[2] = {name="Raketen Sprenggranate 4581",
						caliber 				= 380,
						velocity				= 100,
						explosionSize			= 5.5,
						maxPenDepth = 1.0,
						launcher                = "rocket",
						payload					= "HE",
						shellWidth				= 2,
						shellHeight				= 2,
						magazineCount             = 6,
						shellSpriteName			= "MOD/gfx/rocketModel2.png",
						shellSpriteRearName		= "MOD/gfx/rocketRear.png",
						flightLoop				= "MOD/sounds/rocketFlightLoop0",
					},
				},
				coax = 	{
					name="MG34 Coax",
					sight					= {
												[1] = {
												x=2.12,
												y=1.7,
												z=-0.05,
													},
												},
					barrels		= {
									[1] = {
										x = 0.2,
										y = 0.2,
										z = 2.5,
										}
									},

					-- 				},
					
					magazines = {
								[1] = {name="7.92×57mm Mauser",
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			name="MG34 Coax",
			sight					= {
										[1] = {
										x=2.12,
										y=1.7,
										z=-0.05,
											},
										},
			barrels		= {
							[1] = {
								x = 0.05,
								y = 0.15,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.92×57mm Mauser",
						r						= 0.3,
						g						= 3.6, 
						b						= 0.3, 
							},
				},
			},
		["commander_mg"] = 	{
			name="MG34 Coax",
			sight					= {
										[1] = {
										x=2.12,
										y=1.7,
										z=-0.05,
											},
										},
			barrels		= {
							[1] = {
								x = 1.05,
								y = 0.15,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.92×57mm Mauser",
							},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}

